Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Class NativeJavaLinkedHashMap

    java.lang.Object
      org.mozilla.javascript.NativeJavaObject
          org.eclipse.birt.core.script.NativeJavaMap
              org.eclipse.birt.core.script.NativeJavaLinkedHashMap

All Implemented Interfaces:
  java.io.Serializable, org.mozilla.javascript.Scriptable, org.mozilla.javascript.Wrapper

    public class NativeJavaLinkedHashMap

extends NativeJavaMap

Represents the scriptable object for Java object, `LinkedHashMap`. This class supports to access hash map with index.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.NativeJavaObject
`javaObject, members, parent, prototype, staticType`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`NativeJavaLinkedHashMap()`
`NativeJavaLinkedHashMap(org.mozilla.javascript.Scriptable scope, java.lang.Object javaObject, java.lang.Class staticType)`

Method Summary
`java.lang.Object` | `get(int index, org.mozilla.javascript.Scriptable start)`

Methods inherited from class org.eclipse.birt.core.script.NativeJavaMap
`delete, get, getIds, has, put, put`

Methods inherited from class org.mozilla.javascript.NativeJavaObject
`canConvert, coerceType, delete, getClassName, getDefaultValue, getParentScope, getPrototype, has, hasInstance, initMembers, setParentScope, setPrototype, unwrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeJavaLinkedHashMap

    public NativeJavaLinkedHashMap()

### NativeJavaLinkedHashMap

    public NativeJavaLinkedHashMap(org.mozilla.javascript.Scriptable scope,
                                   java.lang.Object javaObject,
                                   java.lang.Class staticType)

Method Detail

### get

    public java.lang.Object get(int index,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `NativeJavaMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.